Gentoo Logo

Apache mod_jk: Directory traversal

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200708-15 / mod_jk
Release Date August 19, 2007
Latest Revision August 19, 2007: 01
Impact low
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
www-apache/mod_jk < 1.2.23 >= 1.2.23 All supported architectures

Related bugreports: #186218

Synopsis

A directory traversal vulnerability has been discovered in Apache mod_jk.

2.  Impact Information

Background

Apache mod_jk is a connector for the Tomcat web server.

Description

Apache mod_jk decodes the URL within Apache before passing them to Tomcat, which decodes them a second time.

Impact

A remote attacker could browse a specially crafted URL on an Apache server running mod_jk, possibly gaining access to restricted resources.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All Apache mod_jk users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=www-apache/mod_jk-1.2.23"

4.  References



Print

Page updated August 19, 2007

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.